Autocomplete
curl --request GET \
--url https://api.baselayer.com/autocomplete \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/autocomplete"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "apple",
"suggestions": [
{
"id": "b3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"entity_type": "business",
"name": "apple computer inc",
"registration_count": 12,
"score": 0.96,
"states": [
"CA",
"DE"
],
"highlights": [
{
"field": "normalized_names",
"snippets": [
"<mark>apple</mark> computer inc"
]
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pre.Fill & Autocomplete
Autocomplete
Suggest businesses matching a partial name, for typeahead UIs.
GET
/
autocomplete
Autocomplete
Authorizations
Query Parameters
The type of entity to suggest. Only business is currently supported.
Available options:
business Partial business name to complete.
Minimum string length:
1Examples:
"apple"
"acme plumb"
Restrict suggestions to businesses registered in this state.
Available options:
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS Maximum suggestions to return.
Required range:
1 <= x <= 20